LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMimeContentTypeFactory Interface Referencepublished

Implementations of this interface do create a com::sun::star::datatransfer::XMimeContentType from a given string that represents a MIME content-type (see Rfc2045 and Rfc2046). More...

`import"XMimeContentTypeFactory.idl";`

Inheritance diagram for XMimeContentTypeFactory:

## Public Member Functions
com::sun::star::datatransfer::XMimeContentType | createMimeContentType ([in] string aContentType) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates an object that implements XMimeContentType. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implementations of this interface do create a com::sun::star::datatransfer::XMimeContentType from a given string that represents a MIME content-type (see Rfc2045 and Rfc2046).

## Member Function Documentation

## ◆ createMimeContentType()

com::sun::star::datatransfer::XMimeContentType createMimeContentType | ( | [in] string | aContentType | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Creates an object that implements XMimeContentType.

Parameters

  aContentType | A string that represents a MIME content-type as specified in Rfc2045 and Rfc2046.

Returns
  An object that implements XMimeContentType.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the string does not conform to Rfc2045 and Rfc2046;

Exception: Quoted parameter values may contain spaces.

See also
  com::sun::star::datatransfer::XMimeContentType

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XMimeContentTypeFactory.idl